Bug 1264929 (CVE-2015-8743) - CVE-2015-8743 Qemu: net: ne2000: OOB memory access in ioport r/w functions
Summary: CVE-2015-8743 Qemu: net: ne2000: OOB memory access in ioport r/w functions
Status: CLOSED WONTFIX
Alias: CVE-2015-8743
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151230,reported=2...
Keywords: Security
Depends On: 1294787 1294788
Blocks: 1264934
TreeView+ depends on / blocked
 
Reported: 2015-09-21 16:54 UTC by Adam Mariš
Modified: 2016-04-26 17:31 UTC (History)
32 users (show)

(edit)
An out-of-bounds read-write access flaw was found in the QEMU emulator built with NE2000-device emulation support. The flaw occurred while performing 'ioport' read-write operations. A privileged (CAP_SYS_RAWIO) user or process could exploit the flaw to leak or corrupt QEMU memory bytes.
Clone Of:
(edit)
Last Closed: 2016-01-07 05:08:49 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-21 16:54:22 UTC
Qemu emulator built with the NE2000 device emulation support is vulnerable to an
OOB r/w access issue. It could occur while performing 'ioport' r/w operations.

A privileged(CAP_SYS_RAWIO) user/process could use this flaw to leak or corrupt
Qemu memory bytes(3).

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg00050.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/04/2

Comment 2 Prasad J Pandit 2015-12-30 10:18:57 UTC
Statement: 

This issue affects the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/

Comment 3 Prasad J Pandit 2015-12-30 10:20:15 UTC
Acknowledgments:

Red Hat would like to thank Ling Liu of Qihoo 360 Inc. for reporting this issue.

Comment 4 Prasad J Pandit 2015-12-30 10:27:28 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1294788]

Comment 5 Prasad J Pandit 2015-12-30 10:27:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1294787]

Comment 6 Fedora Update System 2016-01-24 03:26:52 UTC
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-01-28 18:26:05 UTC
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-02-01 06:31:05 UTC
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-02-02 00:52:34 UTC
qemu-2.3.1-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.